Bug 1132 - Opening output truth image using DIRSIG3 CFG file
Summary: Opening output truth image using DIRSIG3 CFG file
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: DIRSIG3 File I/O (show other bugs)
Version: 4.5.4-release
Hardware: Intel x86-64 Windows 64-bit
: P5 normal
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2015-01-16 18:05 EST by mark.w.wolboldt
Modified: 2015-02-24 08:49 EST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mark.w.wolboldt 2015-01-16 18:05:16 EST
When using the shot1.cfg file for megascene1.2 tile_2, DIRSIG gives an error that it cannot open the truth output file and stops execution.
Comment 1 Scott D. Brown 2015-01-20 13:34:24 EST
For my CFG file, I'm not getting any output.  The execution schedule doesn't look like it gets filled with an event to capture the focal plane, which also triggers the output file open and close events.
Comment 2 Scott D. Brown 2015-01-20 13:36:21 EST
Mark is your version right on this one?  When I said I got no output, I was referring to 4.6.x., was this error an issue in 4.5.4 or 4.6.x?
Comment 3 Scott D. Brown 2015-01-20 13:50:00 EST
The issue in 4.6.x is that the focal planes do not get enabled by the CFG reader (enabling and disabling focal planes was added in 4.6) and, hence, they get ignored in the event schedule generation.

After fixing this, I did get an error trying to open a "bad" truth image file.  The filename is clearly not being set right in the CFG reader.
Comment 4 Scott D. Brown 2015-02-20 09:20:36 EST
Fixed in the 4.6.2 release.